tomee-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Martin Vysny <...@whitestein.com>
Subject Re: AbstractMethodError
Date Thu, 15 May 2008 12:58:57 GMT
On Thu, 2008-05-15 at 05:28 -0700, xph wrote:
> I am trying to run openEJB 3.0 embedded and remoteable.
> 
> I get the following java.lang.AbstractMethodError when starting up:
> 

> It seems to be failing due to a mismatch between compiled and runtime
> code,
> I guess with the asm jar. I am using asm jar that ships with openEJB
> 3.0,
> which is asm-2.2.3.jar.
> 
> Any ideas welcome!

Hi,
  we had issues with this bug as well, when we used hibernate 3.2.4ga in
our project as a dependency in Maven2. Hibernate pulled asm-1.5.3 (I
think) which Maven happily used instead of asm-2.2.3. First, try to
check if the 2.2.3 version is really the version on your classpath (for
example by executing Maven2 with the -X parameter). We solved it by
excluding the asm dependency from Hibernate:
<dependency>
	<groupId>org.hibernate</groupId>
	<artifactId>hibernate</artifactId>
	<version>3.2.4.ga</version>
	<exclusions>
		<exclusion>
			<groupId>cglib</groupId>
			<artifactId>cglib</artifactId>
		</exclusion>
		<exclusion>
			<groupId>asm</groupId>
			<artifactId>asm</artifactId>
		</exclusion>
		<exclusion>
			<groupId>asm</groupId>
			<artifactId>asm-attrs</artifactId>
		</exclusion>
	</exclusions>
</dependency>
You can also solve the issue by adding direct dependency on asm-2.2.3.
Hope this helps.
Martin

Mime
View raw message